Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class IntranetAccess

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.IntranetAccess

    public class IntranetAccess

extends java.lang.Object

IntranetAccess
Réalise les opérations relatives aux intranets dans la base de données
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.4 $
Author:
  Mathieu Larchet

Constructor Summary
`IntranetAccess()`

Method Summary
`static void` | `createIntranet(org.esupportail.portal.utils.database.Query query, Intranet intranet)` Crée un intranet
`static Intranet` | `getIntranet(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Récupère un intranet
`static java.util.List` | `getIntranets(org.esupportail.portal.utils.database.Query query)` Récupère tous les intranets
`static boolean` | `intranetExist(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Teste si un intranet existe déjà
`static void` | `removeIntranet(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Supprime un intranet
`static void` | `updateIntranet(org.esupportail.portal.utils.database.Query query, Intranet intranet)` Met à jour un intranet

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntranetAccess

    public IntranetAccess()

Method Detail

### getIntranet

    public static Intranet getIntranet(org.esupportail.portal.utils.database.Query query,
                                       java.lang.String id)
                                throws DataException

  Récupère un intranet

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant de l'intranet à récupérer
  Returns:
    intranet L'intranet
  Throws:
    `DataException`

### getIntranets

    public static java.util.List getIntranets(org.esupportail.portal.utils.database.Query query)
                                       throws DataException

  Récupère tous les intranets

  Parameters:
    `query` - La connexion à utiliser
  Returns:
    intranets La liste des intranets
  Throws:
    `DataException`

### createIntranet

    public static void createIntranet(org.esupportail.portal.utils.database.Query query,
                                      Intranet intranet)
                               throws DataException

  Crée un intranet

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'intranet à créer
  Throws:
    `DataException`

### updateIntranet

    public static void updateIntranet(org.esupportail.portal.utils.database.Query query,
                                      Intranet intranet)
                               throws DataException

  Met à jour un intranet

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'intranet à mettre à jour
  Throws:
    `DataException`

### removeIntranet

    public static void removeIntranet(org.esupportail.portal.utils.database.Query query,
                                      java.lang.String id)
                               throws DataException

  Supprime un intranet

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant de l'intranet à supprimer
  Throws:
    `DataException`

### intranetExist

    public static boolean intranetExist(org.esupportail.portal.utils.database.Query query,
                                        java.lang.String id)
                                 throws DataException

  Teste si un intranet existe déjà

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant à tester
  Returns:
    boolean True si l'intranet existe, false sinon
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD